Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.jeteam.bean.config.web
Class StatusCRUDDispatchAction  view StatusCRUDDispatchAction download StatusCRUDDispatchAction.java

java.lang.Object
  extended byorg.apache.struts.action.Action
      extended byorg.apache.struts.actions.DispatchAction
          extended byorg.jeteam.bean.common.web.AbstractCRUDDispatchAction
              extended byorg.jeteam.bean.config.web.StatusCRUDDispatchAction

public class StatusCRUDDispatchAction
extends org.jeteam.bean.common.web.AbstractCRUDDispatchAction


Field Summary
 
Fields inherited from class org.apache.struts.actions.DispatchAction
clazz, log, messages, methods, types
 
Fields inherited from class org.apache.struts.action.Action
defaultLocale, servlet
 
Constructor Summary
StatusCRUDDispatchAction()
           
 
Method Summary
 org.apache.struts.action.ActionForward create(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
           
private  org.jeteam.bean.config.StatusDTO getStatus(StatusCRUDDispatchForm dataForm)
          Gets the status as a DTO from the form bean.
 org.apache.struts.action.ActionForward goCreate(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          Forwards to "create".
 org.apache.struts.action.ActionForward goRead(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          Sets the current list of statusses into the form bean and forwards to "read".
 org.apache.struts.action.ActionForward goRemove(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          Sets the current list of statusses into the form bean and forwards to "remove".
 org.apache.struts.action.ActionForward goUpdate(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          Sets the current list of statusses into the form bean and forwards to "update".
 org.apache.struts.action.ActionForward populate(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          Populates the form with the values of the status DTO instance corresponding with the current status name.
 org.apache.struts.action.ActionForward read(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          Always forwards to "read".
 org.apache.struts.action.ActionForward remove(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
           
private  void setRequestParameterValue(javax.servlet.http.HttpServletRequest request, StatusCRUDDispatchForm dataForm)
          Reads the request and looks for a parameter with key "item", if found this value will be set as the status name in the form bean.
 org.apache.struts.action.ActionForward unspecified(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          This is the default executor for this dispatch action, it will simply return the "home" forward.
 org.apache.struts.action.ActionForward update(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
           
 
Methods inherited from class org.apache.struts.actions.DispatchAction
cancelled, dispatchMethod, execute, getMethod, getMethodName, getParameter
 
Methods inherited from class org.apache.struts.action.Action
addErrors, addMessages, execute, generateToken, getDataSource, getDataSource, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

StatusCRUDDispatchAction

public StatusCRUDDispatchAction()
Method Detail

unspecified

public org.apache.struts.action.ActionForward unspecified(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception
This is the default executor for this dispatch action, it will simply return the "home" forward.


populate

public org.apache.struts.action.ActionForward populate(org.apache.struts.action.ActionMapping mapping,
                                                       org.apache.struts.action.ActionForm form,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response)
                                                throws java.lang.Exception
Populates the form with the values of the status DTO instance corresponding with the current status name.

Forwards to "update".


goRead

public org.apache.struts.action.ActionForward goRead(org.apache.struts.action.ActionMapping mapping,
                                                     org.apache.struts.action.ActionForm form,
                                                     javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response)
                                              throws java.lang.Exception
Sets the current list of statusses into the form bean and forwards to "read".

If there is a request parameter with key "name" or the form bean has a non-null "statusName" property this method will execute a call to read(...) to populate the form bean with the properties of the status associated with the specified status name, prior to forwarding.


goCreate

public org.apache.struts.action.ActionForward goCreate(org.apache.struts.action.ActionMapping mapping,
                                                       org.apache.struts.action.ActionForm form,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response)
                                                throws java.lang.Exception
Forwards to "create".


goUpdate

public org.apache.struts.action.ActionForward goUpdate(org.apache.struts.action.ActionMapping mapping,
                                                       org.apache.struts.action.ActionForm form,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response)
                                                throws java.lang.Exception
Sets the current list of statusses into the form bean and forwards to "update".


goRemove

public org.apache.struts.action.ActionForward goRemove(org.apache.struts.action.ActionMapping mapping,
                                                       org.apache.struts.action.ActionForm form,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response)
                                                throws java.lang.Exception
Sets the current list of statusses into the form bean and forwards to "remove".


read

public org.apache.struts.action.ActionForward read(org.apache.struts.action.ActionMapping mapping,
                                                   org.apache.struts.action.ActionForm form,
                                                   javax.servlet.http.HttpServletRequest request,
                                                   javax.servlet.http.HttpServletResponse response)
                                            throws java.lang.Exception
Always forwards to "read".


create

public org.apache.struts.action.ActionForward create(org.apache.struts.action.ActionMapping mapping,
                                                     org.apache.struts.action.ActionForm form,
                                                     javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response)
                                              throws java.lang.Exception

remove

public org.apache.struts.action.ActionForward remove(org.apache.struts.action.ActionMapping mapping,
                                                     org.apache.struts.action.ActionForm form,
                                                     javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response)
                                              throws java.lang.Exception

update

public org.apache.struts.action.ActionForward update(org.apache.struts.action.ActionMapping mapping,
                                                     org.apache.struts.action.ActionForm form,
                                                     javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response)
                                              throws java.lang.Exception

getStatus

private final org.jeteam.bean.config.StatusDTO getStatus(StatusCRUDDispatchForm dataForm)
Gets the status as a DTO from the form bean.

The status name String value is used to lookup the corresponding DTO instance, this one is returned. In case none is found this method returns null.


setRequestParameterValue

private final void setRequestParameterValue(javax.servlet.http.HttpServletRequest request,
                                            StatusCRUDDispatchForm dataForm)
Reads the request and looks for a parameter with key "item", if found this value will be set as the status name in the form bean.